X509LDAPCertStoreSpi (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jce.provider

## Class X509LDAPCertStoreSpi

- java.lang.Object
- - java.security.cert.CertStoreSpi
  - - org.bouncycastle.jce.provider.X509LDAPCertStoreSpi

-     public class X509LDAPCertStoreSpi
      extends java.security.cert.CertStoreSpi

  This is a general purpose implementation to get X.509 certificates and CRLs from a LDAP location.

  At first a search is performed in the ldap*AttributeNames of the `X509LDAPCertStoreParameters` with the given information of the subject (for all kind of certificates) or issuer (for CRLs), respectively, if a X509CertSelector is given with that details. For CRLs, CA certificates and cross certificates a coarse search is made only for entries with that content to get more possibly matching results.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509LDAPCertStoreSpi(java.security.cert.CertStoreParameters params)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection` | `engineGetCertificates(java.security.cert.CertSelector selector)`
    `java.util.Collection` | `engineGetCRLs(java.security.cert.CRLSelector selector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509LDAPCertStoreSpi

          public X509LDAPCertStoreSpi(java.security.cert.CertStoreParameters params)
                               throws java.security.InvalidAlgorithmParameterException

      Throws:
        `java.security.InvalidAlgorithmParameterException`

  - ### Method Detail

    - #### engineGetCertificates

          public java.util.Collection engineGetCertificates(java.security.cert.CertSelector selector)
                                                     throws java.security.cert.CertStoreException

      Specified by:
        `engineGetCertificates` in class `java.security.cert.CertStoreSpi`
      Throws:
        `java.security.cert.CertStoreException`

    - #### engineGetCRLs

          public java.util.Collection engineGetCRLs(java.security.cert.CRLSelector selector)
                                             throws java.security.cert.CertStoreException

      Specified by:
        `engineGetCRLs` in class `java.security.cert.CertStoreSpi`
      Throws:
        `java.security.cert.CertStoreException`